IARRAY_CREATE_1D(3)

FUNCTION
iarray_create_1D - Create a 1-dimensional Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create_1D

(unsigned long xlen, unsigned int type)

DESCRIPTION
This routine will create a 1-dimensional "Intelligent Array", using the Karma general data structure format as the underlying data format

xlen
    The length of the dimension. The name of the dimension will be the default: "Axis 0".

type
    The type of the data. See <-ds_KARMA_DATA_TYPES-> for a list of defined data types.

RETURN VALUE
A dynamically allocated intelligent array on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The name of the element will be the default name: "Intensity".

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/